Swiftコマンドを使用した時に、下のようにエラーが怒涛に出力されることがありました。
(エラーが出てもコマンド自体は実行されていました)

$ swift -v
Apple Swift version 3.0.1 (swiftlang-800.0.58.6 clang-800.0.42.1)
Target: x86_64-apple-macosx10.9
/Applications/Xcode.app/Contents/Developer/usr/bin/lldb "--repl=-target x86_64-apple-macosx10.9 -enable-objc-interop -sdk /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk -color-diagnostics"
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/Applications/Xcode.app/Contents/SharedFrameworks/LLDB.framework/Resources/Python/lldb/__init__.py", line 98, in <module>
    import six
ImportError: No module named six
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'run_one_line' is not defined

...
# こんなエラーがかなりの長さで出力される


環境変数「QMAKE_MAC_SDK_PATH」を設定することで修正できました。

$ export QMAKE_MAC_SDK_PATH="/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/"

$ source ~/.bashrc

参考: https://forum.qt.io/topic/71584/how-to-define-sdk-path-for-mac-osx-10-12-and-xcode-8/5